import json
from locust import HttpUser, task, between

class PerformanceTests(HttpUser):
    wait_time = between(1, 3)

    def on_start(self):
        self.client.post("/user/login", {
            "username": "karsa",
            "password": "12345678"
        })

    @task(1)
    def testFastApi(self):
        self.client.get("/lb/dashboard/acpi/vm/1/")